﻿using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.WinForms;

namespace _9065
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.Meter;

            LayerOverlay layerOverlay = new LayerOverlay();

            Proj4Projection proj4Projection = new Proj4Projection();
            proj4Projection.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
            proj4Projection.ExternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(3857);
            proj4Projection.Open();

            InMemoryFeatureLayer layer = new InMemoryFeatureLayer();
            layer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = PointStyles.Capital1;
            layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            layer.FeatureSource.Projection = proj4Projection;
            layer.Open();

            PointShape point1 = new PointShape(-100, 30);
            layer.InternalFeatures.Add(new Feature(point1));

            PointShape point2 = new PointShape(0, 0);
            layer.InternalFeatures.Add(new Feature(point2));

            layerOverlay.Layers.Add(layer);
            winformsMap1.Overlays.Add(layerOverlay);
            winformsMap1.CurrentExtent = new RectangleShape(-20000000, 20000000, 20000000, -20000000);

            winformsMap1.Refresh();
        }
    }
}
